using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// I_Manager 的摘要说明
/// </summary>
namespace AdminRights
{
    public interface IManager
    {
        int Insert(TManager us);                             //添加网站管理员
        int Update(TManager us);                             //修改网站管理员
        int UpdateIP(TManager eui,int Flag,string name);         //修改网站管理员最后登录IP和最后登录时间
        int UpdateLockedup(TManager eui);                    //修改网站管理员锁定信息
        int Delete(int ID);                                  //根据ID删除网站管理员
        DataTable GetDataTable();                            //得到网站管理员
        DataTable GetDataTable(string strWhere);             //根据strWhere条件得到网站管理员
        DataTable GetDataTable(string Name, string Password);  //根据管理员名和密码得到管理员信息
        TManager GateItem(int ID);                           //根据ID取得网站管理员每一条信息
    }
}
